footer {
    background-color: rgba(0, 86, 156, 1);
    text-align: center;
    flex-shrink: none;
}

footer a {
    color: rgb(0, 156, 156);
}

footer .environment {
    color: rgba(255, 255, 255, 1);
    padding: 2rem 1.75rem;
}

footer .copyrights {
    background-color: rgba(62, 62, 62, 1);
    color: rgba(200, 200, 200, 1);
    padding: .25rem 1.75rem;
}

.login-page {
    height: auto !important;
}

.menu-open {
    background-color: #007bff;
    color: #fff;
    border-radius: 0.25rem;
}

.menu-open a {
    margin-bottom: 0 !important;
}

.nav-item .nav-link {
    margin-bottom: 0 !important;
}

.user-panel .image img {
    width: 2.1rem;
    height: 2.1rem;
}

#maintenence-message{
    margin-top: 2rem;
    font-size: 1rem;
    font-weight: bold;
    color: red;
}

.pic-edit {
    position: absolute;
    right: 3%;
    top: 1%;
}

table {
    width: 100% !important;
}

.dataTables_wrapper, .dataTables_length select {
    padding-right: 30px !important;
}

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

@media only screen and (max-width: 450px) {
    div.dataTables_wrapper div.dataTables_paginate ul.pagination {
        justify-content: normal !important;
    }
}

[class*=sidebar-dark-] .nav-sidebar>.nav-item.menu-open>.nav-link, [class*=sidebar-dark-] .nav-sidebar>.nav-item:hover>.nav-link, [class*=sidebar-dark-] .nav-sidebar>.nav-item>.nav-link:focus {
    background-color: rgba(255, 255, 255, 0) !important;
    color: #fff;
}

@media (min-width:200px) and (max-width: 600px) {
    .m-5 {
        margin: 1rem !important;
    }
    a .btn {
        margin-top: 3px;
    }
}
